<?php
class utils {
	
	/**
	 * Reemplaza todas las tildes y ñ's en un texto por su equivalente Acute
	 * @param string $text
	 * @return string convertido
	 */
	public static function utfToAcute($text) {
		$res = str_replace('á','&aacute;',$text);
		$res = str_replace('é','&eacute;',$res);
		$res = str_replace('í','&iacute;',$res);
		$res = str_replace('ó','&oacute;',$res);
		$res = str_replace('ú','&uacute;',$res);
		
		$res = str_replace('Á','&Aacute;',$res);
		$res = str_replace('É','&Eacute;',$res);
		$res = str_replace('Í','&Iacute;',$res);
		$res = str_replace('Ó','&Oacute;',$res);
		$res = str_replace('Ú','&Uacute;',$res);
		
		$res = str_replace('à','&aacute;',$res);
		$res = str_replace('è','&eacute;',$res);
		$res = str_replace('ì','&iacute;',$res);
		$res = str_replace('ò','&oacute;',$res);
		$res = str_replace('ù','&uacute;',$res);
		
		$res = str_replace('À','&Aacute;',$res);
		$res = str_replace('È','&Eacute;',$res);
		$res = str_replace('Ì','&Iacute;',$res);
		$res = str_replace('Ò','&Oacute;',$res);
		$res = str_replace('Ù','&Uacute;',$res);
		
		$res = str_replace('ñ','&ntilde;',$res);
		$res = str_replace('Ñ','&Ntilde;',$res);
		
		return $res;
	}
	
	/**
	 * Reemplaza todas los valores Acute por su equivalente UTF-8
	 * @param string $text
	 * @return string convertido
	 */
	public static function acuteToUtf($text) {
		$res = str_replace('&aacute;','á',$text);
		$res = str_replace('&eacute;','é',$res);
		$res = str_replace('&iacute;','í',$res);
		$res = str_replace('&oacute;','ó',$res);
		$res = str_replace('&uacute;','ú',$res);
		
		$res = str_replace('&Aacute;','Á',$res);
		$res = str_replace('&Eacute;','É',$res);
		$res = str_replace('&Iacute;','Í',$res);
		$res = str_replace('&Oacute;','Ó',$res);
		$res = str_replace('&Uacute;','Ú',$res);
		
		$res = str_replace('&aacute;','à',$res);
		$res = str_replace('&eacute;','è',$res);
		$res = str_replace('&iacute;','ì',$res);
		$res = str_replace('&oacute;','ò',$res);
		$res = str_replace('&uacute;','ù',$res);
		
		$res = str_replace('&Aacute;','À',$res);
		$res = str_replace('&Eacute;','È',$res);
		$res = str_replace('&Iacute;','Ì',$res);
		$res = str_replace('&Oacute;','Ò',$res);
		$res = str_replace('&Uacute;','Ù',$res);
		
		$res = str_replace('&ntilde;','ñ',$res);
		$res = str_replace('&Ntilde;','Ñ',$res);
		
		return $res;
	}
}
?>